Skip to content

Search Aftersales Requests

POST
/return_refund/202603/aftersales/search

Searches aftersales requests for the authorized shop. You can filter by aftersales request, buyer, or main order IDs, aftersales request status, return type, and creation or update time. Use whitelisted_data_fields to include line items, SKU return requests, or return merchandise authorizations in each result.

shop_cipher
required
string

Identifies the shop. Obtain it from the Get Authorized Shops API.

locale
string

The BCP-47 locale codes for displaying purposes. Default: en Refer to Locale codes for the list of supported locale codes.

Media typeapplication/json
object
whitelisted_data_fields

Controls which additional fields are included for each aftersales request. Possible values:

  • LINE_ITEMS: Includes line_items.
  • SKU_RETURN_REQUESTS: Includes sku_return_requests.
  • RETURN_MERCHANDISE_AUTHORIZATIONS: Includes return_merchandise_authorizations.
Array<string>
Allowed values: LINE_ITEMS SKU_RETURN_REQUESTS RETURN_MERCHANDISE_AUTHORIZATIONS
filters

Filters to narrow the result set.

object
aftersales_request_ids

Restricts results to the specified aftersales requests. Each ID must be a base-10 integer string that fits in a signed 64-bit integer.

Array<string>
aftersales_request_statuses

Restricts results to the specified aftersales request statuses. Possible values:

  • INIT
  • PENDING_REQUEST_REVIEW
  • REQUEST_REVIEW_COMPLETED
Array<string>
Allowed values: INIT PENDING_REQUEST_REVIEW REQUEST_REVIEW_COMPLETED
return_types

Restricts results to aftersales request data which includes at least one sku return request with a given type. Possible values:

  • REFUND
  • RETURN_AND_REFUND
  • REPLACEMENT
  • EXCHANGE
Array<string>
Allowed values: REFUND RETURN_AND_REFUND REPLACEMENT EXCHANGE
main_order_ids

Restricts results to aftersales requests that contain at least one SKU return request for a specified main (forward) order. Each main order ID must be a base-10 integer string that fits in a signed 64-bit integer.

Array<string>
buyer_ids

Restricts results to aftersales requests that contain at least one SKU return request for a specified buyer. Each buyer ID must be a base-10 integer string that fits in a signed 64-bit integer.

Array<string>
time

Time-based filtering criteria.

object
create_time

Filter based on creation time.

object
min_unix_time_inclusive

Inclusive lower bound (Unix seconds).

integer format: int64
max_unix_time_exclusive

Exclusive upper bound (Unix seconds).

integer format: int64
update_time

Filter based on last update time.

object
min_unix_time_inclusive

Inclusive lower bound (Unix seconds).

integer format: int64
max_unix_time_exclusive

Exclusive upper bound (Unix seconds).

integer format: int64
sort

Sorting criteria for the result set.

object
sort_field

Name of the field used for sorting. Possible values:

  • CREATE_TIME
  • UPDATE_TIME
string
Allowed values: CREATE_TIME UPDATE_TIME
sort_order

Sort direction. Possible values:

  • ASC
  • DESC
string
Allowed values: ASC DESC
pagination

Pagination configuration.

object
page_size

Number of records to return per page. Minimum: 1. Maximum: 100.

integer format: int64
>= 1 <= 100
page_token

Identifies the page to retrieve.

string
Example
{
"whitelisted_data_fields": [
"LINE_ITEMS",
"SKU_RETURN_REQUESTS",
"RETURN_MERCHANDISE_AUTHORIZATIONS"
],
"filters": {
"aftersales_request_ids": [
"4035318504086604101"
],
"aftersales_request_statuses": [
"PENDING_REQUEST_REVIEW"
],
"return_types": [
"REFUND",
"RETURN_AND_REFUND"
],
"main_order_ids": [
"577686530908261117"
],
"buyer_ids": [
"7493996903972308733"
],
"time": {
"create_time": {
"min_unix_time_inclusive": 1774486592,
"max_unix_time_exclusive": 1774572992
},
"update_time": {
"min_unix_time_inclusive": 1774486592,
"max_unix_time_exclusive": 1774572992
}
}
},
"sort": {
"sort_field": "CREATE_TIME",
"sort_order": "ASC"
},
"pagination": {
"page_size": 100,
"page_token": "aDU2dHIzMlFhME5CUzJKUDhDdVJhTDM1WmJkeFVTVW9LTkRaSnNaZCtuWjJXVU5CSDhlaA=="
}
}

Success

Media typeapplication/json
object
code

Status code; 0 means success.

integer format: int64
message

Success or failure message.

string
request_id

Request log ID.

string
data
object
aftersales_requests

List of aftersales requests matching the filters. This field is omitted when no aftersales requests match.

Array<object>
object
id

Unique identifier for this aftersales request.

string
line_items

List of items associated with this aftersales request. This field is returned only when LINE_ITEMS is included in whitelisted_data_fields and matching item data is available.

Array<object>
object
return_line_item_id

Unique identifier for this item in the return. In the case of virtual bundle, this is corresponds to the id of the original parent item bundle.

string
sub_return_line_item_id

Unique identifier for this item in the return. In the case of virtual bundle, this is corresponds to the id of the current child item being returned.

string
sku_id

SKU identifier associated with this item (for product details).

string
main_order_id

Identifier of the associated main (forward) order.

string
sku_return_request_id

Identifier of the associated SKU-level, sub return request.

string
status

Current state of this aftersales request. Possible values:

  • INIT
  • PENDING_REQUEST_REVIEW
  • REQUEST_REVIEW_COMPLETED
string
Allowed values: INIT PENDING_REQUEST_REVIEW REQUEST_REVIEW_COMPLETED
sku_return_requests

SKU-level sub return requests associated with this aftersales request, also known as reverse orders or return requests. This field is returned only when SKU_RETURN_REQUESTS is included in whitelisted_data_fields and matching data is available.

Array<object>
object
order_id

TikTok Shop main order ID associated with this SKU return request.

string
return_id

The identifier of a specific return.

string
return_type

Return type. Available values:

  • REFUND: Seller will issue a refund without return. The buyer is not required to send the item(s) back to the seller.
  • RETURN_AND_REFUND: Buyer is required to send the item(s) back to the seller. The seller will need to review the condition of the returned item(s) before a refund can be issued to the buyer.
  • REPLACEMENT: The buyer requires the seller to replace the item(s).
  • EXCHANGE: The buyer requires the seller to exchange the item(s).
string
Allowed values: REFUND RETURN_AND_REFUND REPLACEMENT EXCHANGE
return_status

Return status. Available values:

  • RETURN_OR_REFUND_REQUEST_PENDING: Buyer has initiated a return or refund request. The request is pending review by seller or platform.
  • REFUND_OR_RETURN_REQUEST_REJECT: The return or refund request was rejected.
  • AWAITING_BUYER_SHIP: The return request was approved. The seller is waiting for the buyer to ship the approved items to the seller. If the buyer doesn’t ship the items to the seller before the deadline, the platform will close the request.
  • BUYER_SHIPPED_ITEM: Buyer has shipped the approved items to seller.
  • REJECT_RECEIVE_PACKAGE: Seller inspected the returned items and rejected the return package.
  • RETURN_OR_REFUND_REQUEST_SUCCESS: The return/refund request was approved. The buyer will be refunded.
  • RETURN_OR_REFUND_REQUEST_CANCEL: The request has been cancelled by the buyer or system.
  • RETURN_OR_REFUND_REQUEST_COMPLETE: The return/refund was processed successfully. The buyer has been refunded.
  • REPLACEMENT_REQUEST_PENDING: Buyer has initiated a replacement request. The request is pending review by seller.
  • REPLACEMENT_REQUEST_REJECT: Seller reject the buyer replacement request.
  • REPLACEMENT_REQUEST_REFUND_SUCCESS: Buyer’s replacement request was resolved by refund due to insufficient inventory.
  • REPLACEMENT_REQUEST_CANCEL: Buyer canceled the replacement request.
  • REPLACEMENT_REQUEST_COMPLETE: Seller has approved the buyer’s replacement request, platform will generate a new order for seller to fulfill.
  • AWAITING_BUYER_RESPONSE: Seller offer another return type to the buyer, and waiting buyer response. Seller proposed return type can check the seller_proposed_return_type.
  • EXCHANGE_REQUEST_PENDING: Buyer has initiated an exchange request. The request is pending review by seller.
  • EXCHANGE_REQUEST_REFUND_SUCCESS: Buyer’s exchange request was resolved by refund due to insufficient inventory.
  • EXCHANGE_REQUEST_CANCEL: Buyer canceled the exchange request.
  • EXCHANGE_REQUEST_COMPLETE: Seller has approved the buyer’s exchange request, platform will generate a new order for seller to fulfill.
string
Allowed values: RETURN_OR_REFUND_REQUEST_PENDING REFUND_OR_RETURN_REQUEST_REJECT AWAITING_BUYER_SHIP BUYER_SHIPPED_ITEM REJECT_RECEIVE_PACKAGE RETURN_OR_REFUND_REQUEST_SUCCESS RETURN_OR_REFUND_REQUEST_CANCEL RETURN_OR_REFUND_REQUEST_COMPLETE REPLACEMENT_REQUEST_PENDING REPLACEMENT_REQUEST_REJECT REPLACEMENT_REQUEST_REFUND_SUCCESS REPLACEMENT_REQUEST_CANCEL REPLACEMENT_REQUEST_COMPLETE AWAITING_BUYER_RESPONSE EXCHANGE_REQUEST_PENDING EXCHANGE_REQUEST_REFUND_SUCCESS EXCHANGE_REQUEST_CANCEL EXCHANGE_REQUEST_COMPLETE
arbitration_status

Arbitration status. Available values:

  • IN_PROGRESS: The TikTok Shop platform operator is processing arbitration and may request additional information from the seller.
  • SUPPORT_BUYER: The platform operator supports the buyer.
  • SUPPORT_SELLER: The platform operator supports the seller.
  • CLOSED: Arbitration is closed.
string
Allowed values: IN_PROGRESS SUPPORT_BUYER SUPPORT_SELLER CLOSED
role

Return initiation role. Available values:

  • BUYER
  • SELLER
  • OPERATOR : TikTok Shop platform operator.
  • SYSTEM: TikTok Shop system. Please see “API overview” to learn more about roles.
string
Allowed values: BUYER SELLER OPERATOR SYSTEM
return_reason

Machine-readable reason code for the return. Use return_reason_text for localized display text.

string
return_reason_text

Reason for return, in localized text. You can change language using the locale request parameter.

string
seller_next_action_response

Seller’s next action and deadline.

Array<object>
object
action

Seller’s next action. Available values:

  • SELLER_RESPOND_REFUND
  • SELLER_RESPOND_RETURN
  • SELLER_RESPOND_RECEIVE_PACKAGE
  • SELLER_RESPOND_REPLACEMENT
string
Allowed values: SELLER_RESPOND_REFUND SELLER_RESPOND_RETURN SELLER_RESPOND_RECEIVE_PACKAGE SELLER_RESPOND_REPLACEMENT
deadline

The deadline for the seller to perform the specified action, as a Unix timestamp in seconds.

integer format: int64
shipment_type

The shipment method selected by the buyer for sending the item(s) back to the seller. Available values:

  • PLATFORM: The buyer uses TikTok Shop’s shipping service. See handover_method for whether the buyer uses DROP_OFF or PICKUP.
  • BUYER_ARRANGE: The buyer arranges the return shipment.
string
Allowed values: PLATFORM BUYER_ARRANGE
handover_method

The handover method buyer chooses to use when returning item(s) to seller using platform’s shipping service.

  • DROP_OFF: buyer will drop off the item(s) at courier
  • PICKUP: buyer is scheduling a pick up service offered by the courier.
string
return_tracking_number

The tracking number of parcels when buyer returns the item(s).

string
return_provider_name

The provider name of parcel when buyer returns the item(s).

string
return_provider_id

The provider ID of parcel when buyer returns the items.

string
pre_return_id

The previous return ID the current return order is edited from.

string
next_return_id

The next return ID the current return order is edited to.

string
refund_amount

Refund amount details.

object
currency

Payment currency.

string
refund_total

Total refund amount to buyer.

string
refund_subtotal

Subtotal refund amount to buyer.

string
refund_shipping_fee

Shipping fee refund amount to buyer.

string
refund_tax

Tax refund amount to buyer.

string
retail_delivery_fee

Retail delivery fee takes effect once platform GMV exceeds 500,000 USD, according to US Colorado states’ compliance rules.

string
buyer_service_fee

Buyer service fee.

string
return_line_items

Return order lines items.

Array<object>
object
return_line_item_id

Return order line ID.

string
order_line_item_id

Order line ID.

string
sku_id

SKU ID.

string
sku_name

SKU name.

string
product_image

Product image information.

object
url

Ignore this field. It is not yet supported.

string
width

Ignore this field. It is not yet supported.

integer format: int64
height

Ignore this field. It is not yet supported.

integer format: int64
product_name

Product name.

string
seller_sku

SKU name defined by seller.

string
refund_amount

Refund amount details.

object
currency

Payment currency.

string
refund_total

Total refund amount to buyer.

string
refund_subtotal

Subtotal refund amount to buyer.

string
refund_shipping_fee

Shipping fee refund amount to buyer.

string
refund_tax

Tax refund amount to buyer.

string
retail_delivery_fee

Retail delivery fee takes effect once platform GMV exceeds 500,000 USD, according to US Colorado states’ compliance rules.

string
buyer_service_fee

Buyer service fee.

string
return_sub_line_items

Return sub order lines items. Sub items represent skus that belong to a “virtual bundle” that has been defined by a seller. The sub_items will include all relevant information about each item that is a part of the virtual bundle.

Array<object>
object
return_sub_line_item_id

Return sub order line ID.

string
return_line_item_id

Return order line ID.

string
sub_order_line_item_id

Sub order line ID.

string
order_line_item_id

Order line ID.

string
sku_id

SKU ID.

string
sku_name

SKU name.

string
product_image

Product image information.

object
url

Ignore this field. It is not yet supported.

string
width

Ignore this field. It is not yet supported.

integer format: int64
height

Ignore this field. It is not yet supported.

integer format: int64
product_name

Product name.

string
seller_sku

SKU name defined by seller.

string
refund_amount

Refund amount details.

object
currency

Payment currency.

string
refund_total

Total refund amount to buyer.

string
refund_subtotal

Subtotal refund amount to buyer.

string
refund_shipping_fee

Shipping fee refund amount to buyer.

string
refund_tax

Tax refund amount to buyer.

string
retail_delivery_fee

Retail delivery fee takes effect once platform GMV exceeds 500,000 USD, according to US Colorado states’ compliance rules.

string
buyer_service_fee

Buyer service fee.

string
create_time

The time when the return was created, as a Unix timestamp in seconds.

integer format: int64
update_time

The time when the return was last updated, as a Unix timestamp in seconds.

integer format: int64
discount

Discount refund amounts, denominated in the currency specified by refund_amount.currency.

object
product_platform_discount

The refund amount of platform discount.

string
product_seller_discount

The refund amount of product seller discount.

string
shipping_fee_platform_discount

The refund amount of shipping fee platform discount.

string
shipping_fee_seller_discount

The refund amount of shipping fee seller discount.

string
shipping_fee

Return shipping fee amounts, denominated in the currency specified by refund_amount.currency.

object
seller_paid_return_shipping_fee_amount

The amount of return shipping fee seller paid.

string
buyer_paid_return_shipping_fee_amount

The amount of return shipping fee buyer paid.

string
platform_paid_return_shipping_fee_amount

The amount of return shipping fee platform paid.

string
buyer_keep_item

Indicates whether the buyer may keep the item(s). This field is returned as true for replacement requests and is omitted for other return types.

boolean
return_shipping_document_type

The type of return shipping document selected by the buyer. Available values:

  • SHIPPING_LABEL
  • QR_CODE - QR Code with Box
  • QR_CODE_NBNL - QR Code with No Box No Label
string
Allowed values: SHIPPING_LABEL QR_CODE QR_CODE_NBNL
return_method

Return method:

  • SELLER_SHIPPED: Seller offers the return shipping service.
  • BUYER_SHIPPED: Buyer offers the return shipping service.
  • PLATFORM_SHIPPED: TikTok Shop offers the return shipping service.
string
is_combined_return

This field will return true if the buyer is asking to combine multiple returns into one return package.

boolean
combined_return_id

If is_combined_return is true, this field will return the combined_return_id associated with the combined return.

string
seller_proposed_return_type

Seller proposed return type:

  • PARTIAL_REFUND
string
partial_refund_amount

Partial refund details.

object
partial_refund_total

Partial refund amount. When decision is OFFER_PARTIAL_REFUND_AFTER_RECEIVING_PKG, this field is required and must be a numeric string representing an amount greater than 0.

string
currency

Currency of the partial refund amount. When decision is OFFER_PARTIAL_REFUND_AFTER_RECEIVING_PKG, this field is required and must match the return order’s currency.

string
buyer_rejected_partial_refund

Only return this field when seller initiated the partial refund. Available values:

  • TRUE: Buyer reject the seller partial refund offer.
  • FALSE: Buyer accept the seller partial refund offer or awaiting buyer response.
boolean
return_warehouse_address

The return warehouse address details provided by the seller.

object
full_address

The full return warehouse address.

string
exchange_order_lines

Ignore this field. It is not yet supported.

Array<object>
object
order_line_id

Ignore this field. It is not yet supported.

string
sku_id

Ignore this field. It is not yet supported.

string
sku_name

Ignore this field. It is not yet supported.

string
product_name

Ignore this field. It is not yet supported.

string
seller_sku_name

Ignore this field. It is not yet supported.

string
product_image

Ignore this field. It is not yet supported.

object
url

Ignore this field. It is not yet supported.

string
width

Ignore this field. It is not yet supported.

integer format: int64
height

Ignore this field. It is not yet supported.

integer format: int64
price_detail

Ignore this field. It is not yet supported.

object
currency

Ignore this field. It is not yet supported.

string
refund_total

Ignore this field. It is not yet supported.

string
refund_subtotal

Ignore this field. It is not yet supported.

string
refund_shipping_fee

Ignore this field. It is not yet supported.

string
refund_tax

Ignore this field. It is not yet supported.

string
reshipment_order_id

Ignore this field. It is not yet supported.

string
is_quick_refund

If the return hit the quick refund strategy, the seller cannot reject the received package

boolean
return_sub_line_items

Deprecated. Do not use this field.

Array<object>
object
return_sub_line_item_id

Return sub order line ID.

string
return_line_item_id

Return order line ID.

string
sub_order_line_item_id

Sub order line ID.

string
order_line_item_id

Order line ID.

string
sku_id

SKU ID.

string
sku_name

SKU name.

string
product_image

Product image information.

object
url

Ignore this field. It is not yet supported.

string
width

Ignore this field. It is not yet supported.

integer format: int64
height

Ignore this field. It is not yet supported.

integer format: int64
product_name

Product name.

string
seller_sku

SKU name defined by seller.

string
refund_amount

Refund amount details.

object
currency

Payment currency.

string
refund_total

Total refund amount to buyer.

string
refund_subtotal

Subtotal refund amount to buyer.

string
refund_shipping_fee

Shipping fee refund amount to buyer.

string
refund_tax

Tax refund amount to buyer.

string
retail_delivery_fee

Retail delivery fee takes effect once platform GMV exceeds 500,000 USD, according to US Colorado states’ compliance rules.

string
buyer_service_fee

Buyer service fee.

string
return_merchandise_authorizations

Return merchandise authorization (RMA) records associated with this aftersales request. This field is returned only when RETURN_MERCHANDISE_AUTHORIZATIONS is included in whitelisted_data_fields and matching RMA data is available.

Array<object>
object
id

Unique identifier for this RMA data.

string
package_id

Identifier of the associated physical return package.

string
aftersales_request_id

Identifier of the parent aftersales request.

string
status

The current state of this RMA data. Possible values:

  • INIT
  • AWAITING_BUYER_RETURN
  • RETURN_IN_TRANSIT
  • PENDING_PACKAGE_REVIEW
  • PACKAGE_REVIEW_COMPLETED
string
Allowed values: INIT AWAITING_BUYER_RETURN RETURN_IN_TRANSIT PENDING_PACKAGE_REVIEW PACKAGE_REVIEW_COMPLETED
line_items

List of items associated with this return merchandise authorization (RMA).

Array<object>
object
return_line_item_id

Unique identifier for this item in the return. In the case of virtual bundle, this is corresponds to the id of the original parent item bundle.

string
sub_return_line_item_id

Unique identifier for this item in the return. In the case of virtual bundle, this is corresponds to the id of the current child item being returned.

string
sku_id

SKU identifier associated with this item (for product details).

string
main_order_id

Identifier of the associated main (forward) order.

string
sku_return_request_id

Identifier of the associated SKU-level, sub return request.

string
total_count

The total result set size, independent of pagination.

integer format: int64
next_page_token

Used to fetch the next page/set of results.

string
Example
{
"code": 0,
"data": {
"aftersales_requests": [
{
"id": "4035318504086604101",
"line_items": [
{
"return_line_item_id": "4035227657962164811",
"sub_return_line_item_id": "4035227657962164815",
"sku_id": "2729382476852921560",
"main_order_id": "577686530908261117",
"sku_return_request_id": "4035318504086604100"
}
],
"status": "PENDING_REQUEST_REVIEW",
"sku_return_requests": [
{
"order_id": "577686530908261117",
"return_id": "4035318504086604100",
"return_type": "REFUND",
"return_status": "RETURN_OR_REFUND_REQUEST_PENDING",
"arbitration_status": "IN_PROGRESS",
"role": "BUYER",
"return_reason": "ecom_order_to_ship_canceled_reason_created_by_mistakes",
"return_reason_text": "Order created by mistake",
"seller_next_action_response": [
{
"action": "SELLER_RESPOND_REFUND",
"deadline": 1690554680
}
],
"shipment_type": "PLATFORM",
"handover_method": "DROP_OFF",
"return_tracking_number": "213456789098765433456",
"return_provider_name": "J&T Express",
"return_provider_id": "TH27014E9R5Q4G",
"pre_return_id": "4035310341095393452",
"next_return_id": "4035310341095393463",
"refund_amount": {
"currency": "USD",
"refund_total": "1.23",
"refund_subtotal": "1",
"refund_shipping_fee": "0.2",
"refund_tax": "0.03",
"retail_delivery_fee": "0.1",
"buyer_service_fee": "0.1"
},
"return_line_items": [
{
"return_line_item_id": "4035227657962164811",
"order_line_item_id": "576473917261451851",
"sku_id": "2729382476852921560",
"sku_name": "1#, Standard",
"product_image": {
"url": "https://p16-oec-va.ibyteimg.com/tos-maliva-i-o3syd03w52-us/004797ebfd8c4d3da2df1cc4bfdb0614~tplv-o3syd03w52-origin-jpeg.jpeg?from=4246405447",
"width": 200,
"height": 200
},
"product_name": "(SP) [PROMO BUNDLING] NICE Tissue Facial 180s x 5 pcs",
"seller_sku": "PUTIH 1 TALI",
"refund_amount": {
"currency": "USD",
"refund_total": "1.23",
"refund_subtotal": "1",
"refund_shipping_fee": "0.2",
"refund_tax": "0.03",
"retail_delivery_fee": "0.1",
"buyer_service_fee": "0.1"
},
"return_sub_line_items": [
{
"return_sub_line_item_id": "4035227657962164812",
"return_line_item_id": "4035227657962164811",
"sub_order_line_item_id": "576473917261451852",
"order_line_item_id": "576473917261451851",
"sku_id": "2729382476852921560",
"sku_name": "1#, Standard",
"product_image": {
"url": "https://p16-oec-va.ibyteimg.com/tos-maliva-i-o3syd03w52-us/004797ebfd8c4d3da2df1cc4bfdb0614~tplv-o3syd03w52-origin-jpeg.jpeg?from=4246405447",
"width": 200,
"height": 200
},
"product_name": "(SP) [PROMO BUNDLING] NICE Tissue Facial 180s x 5 pcs",
"seller_sku": "PUTIH 1 TALI",
"refund_amount": {
"currency": "USD",
"refund_total": "1.23",
"refund_subtotal": "1",
"refund_shipping_fee": "0.2",
"refund_tax": "0.03",
"retail_delivery_fee": "0.1",
"buyer_service_fee": "0.1"
}
}
]
}
],
"create_time": 1690451136,
"update_time": 1690453136,
"discount": {
"product_platform_discount": "0.1",
"product_seller_discount": "0.1",
"shipping_fee_platform_discount": "0.1",
"shipping_fee_seller_discount": "0.1"
},
"shipping_fee": {
"seller_paid_return_shipping_fee_amount": "0.1",
"buyer_paid_return_shipping_fee_amount": "0.1",
"platform_paid_return_shipping_fee_amount": "0.1"
},
"buyer_keep_item": true,
"return_shipping_document_type": "SHIPPING_LABEL",
"return_method": "PLATFORM_SHIPPED",
"is_combined_return": false,
"combined_return_id": "4035309948547073951",
"seller_proposed_return_type": "PARTIAL_REFUND",
"partial_refund_amount": {
"partial_refund_total": "10",
"currency": "IDR"
},
"buyer_rejected_partial_refund": true,
"return_warehouse_address": {
"full_address": "1199 Coleman Ave San Jose, CA 95110"
},
"exchange_order_lines": [
{
"order_line_id": "0",
"sku_id": "0",
"sku_name": "0",
"product_name": "0",
"seller_sku_name": "0",
"product_image": {
"url": "0",
"width": 0,
"height": 0
},
"price_detail": {
"currency": "0",
"refund_total": "0",
"refund_subtotal": "0",
"refund_shipping_fee": "0",
"refund_tax": "0"
}
}
],
"reshipment_order_id": "0",
"is_quick_refund": false,
"return_sub_line_items": [
{
"return_sub_line_item_id": "4035227657962164812",
"return_line_item_id": "4035227657962164811",
"sub_order_line_item_id": "576473917261451852",
"order_line_item_id": "576473917261451851",
"sku_id": "2729382476852921560",
"sku_name": "1#, Standard",
"product_image": {
"url": "https://p16-oec-va.ibyteimg.com/tos-maliva-i-o3syd03w52-us/004797ebfd8c4d3da2df1cc4bfdb0614~tplv-o3syd03w52-origin-jpeg.jpeg?from=4246405447",
"width": 200,
"height": 200
},
"product_name": "(SP) [PROMO BUNDLING] NICE Tissue Facial 180s x 5 pcs",
"seller_sku": "PUTIH 1 TALI",
"refund_amount": {
"currency": "USD",
"refund_total": "1.23",
"refund_subtotal": "1",
"refund_shipping_fee": "0.2",
"refund_tax": "0.03",
"retail_delivery_fee": "0.1",
"buyer_service_fee": "0.1"
}
}
]
}
],
"return_merchandise_authorizations": [
{
"id": "2894521704838895640",
"package_id": "2894521704838895645",
"aftersales_request_id": "4035318504086604101",
"status": "AWAITING_BUYER_RETURN",
"line_items": [
{
"return_line_item_id": "4035227657962164811",
"sub_return_line_item_id": "4035227657962164815",
"sku_id": "2729382476852921560",
"main_order_id": "577686530908261117",
"sku_return_request_id": "4035318504086604100"
}
]
}
]
}
],
"total_count": 12345,
"next_page_token": "aDU2dHIzMlFhME5CUzJKUDhDdVJhTDM1WmJkeFVTVW9LTkRaSnNaZCtuWjJXVU5CSDhlaA=="
},
"message": "Success",
"request_id": "202203070749000101890810281E8C70B7"
}